Bug 850929 - pulp.repo have a missing "/" in the baseurl during pulp-consumer bind
pulp.repo have a missing "/" in the baseurl during pulp-consumer bind
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity medium
: ---
: Sprint 39
Assigned To: Jeff Ortel
Preethi Thomas
: Triaged
Depends On: 849249
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 15:12 EDT by Preethi Thomas
Modified: 2013-09-09 12:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 849249
Environment:
Last Closed: 2013-01-09 12:09:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-08-22 15:12:26 EDT
Cloning for master

+++ This bug was initially created as a clone of Bug #849249 +++

[root@pulp-nightly ~]# pulp-admin repo create --repo-id=foo --regenerate-metadata='true'
Successfully created repository [foo]

[root@pulp-nightly ~]# pulp-admin repo uploads rpm --file /tmp/unsigned-1.0-1.noarch.rpm --repo-id=foo
+----------------------------------------------------------------------------------------------------------+
                                                 RPM Upload
+----------------------------------------------------------------------------------------------------------+

Extracting necessary metdata for each RPM...
[=============================================================================] 100%
Analyzing: unsigned-1.0-1.noarch.rpm
... completed

Creating upload requests on the server...
[=============================================================================] 100%
Initializing: unsigned-1.0-1.noarch.rpm
... completed

Starting upload of selected packages. If this process is stopped through ctrl+c, the uploads will be paused and may be
resumed later using the resume command or cancelled entirely using the cancel command.

Uploading: unsigned-1.0-1.noarch.rpm
[=============================================================================] 100%
2099701/2099701 bytes
... completed

Importing into the repository...
... completed

Deleting the upload request...
... completed

[root@pulp-nightly ~]# pulp-admin repo publish run --repo-id=foo
+----------------------------------------------------------------------------------------------------------+
                                        Publishing Repository [foo]
+----------------------------------------------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual operation on the server.

Publishing packages...
[=============================================================================] 100%
Packages: 0/0 items
... completed

Publishing distributions...
[=============================================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[/]
... completed

Publishing repository over HTTP
[-]
... skipped

Publishing repository over HTTPS
[-]
... completed

Successfully synchronized repository

[root@pulp-nightly ~]# pulp-consumer -u admin -p admin register --consumer-id=fred
Consumer [fred] successfully registered

[root@pulp-nightly ~]# pulp-consumer bind --repo-id=foo
Consumer [fred] successfully bound to repository [foo]

[root@pulp-nightly ~]# yum search unsigned
Loaded plugins: pulp-profile-update
https://localhost/pulp/reposfoo/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found : https://localhost/pulp/reposfoo/repodata/repomd.xml
Trying other mirror.
Error: failure: repodata/repomd.xml from foo: [Errno 256] No more mirrors to try.
[root@pulp-nightly ~]# pulp-admin consumer package install -n unsigned --consumer-id=fred
Install task created with id [188709fa-e8a4-11e1-b060-525400d89521]

This command may be exited via ctrl+c without affecting the install.

[-]
Install failed

failure: repodata/repomd.xml from foo: [Errno 256] No more mirrors to try.


The url should of been https://localhost/pulp/repos/foo/repodata/repomd.xml.

--- Additional comment from dgao@redhat.com on 2012-08-17 15:44:57 EDT ---

[root@pulp-nightly ~]# rpm -qa | grep "pulp"
python-pulp-common-0.0.323-1.fc16.noarch
python-pulp-agent-lib-0.0.323-1.fc16.noarch
m2crypto-0.21.1.pulp-8.fc16.x86_64
pulp-admin-client-0.0.323-1.fc16.noarch
pulp-consumer-client-0.0.323-1.fc16.noarch
pulp-rpm-admin-extensions-0.0.323-2.fc16.noarch
pulp-rpm-plugins-0.0.323-2.fc16.noarch
pulp-rpm-yumplugins-0.0.323-2.fc16.noarch
pulp-rpm-admin-client-0.0.323-1.fc16.noarch
pulp-selinux-0.0.323-1.fc16.noarch
Comment 1 Jeff Ortel 2012-09-06 11:04:16 EDT
Fixed: 0b3efddcf87c96a3fdfc2cdbe3a33c98c4d32dd7
Comment 2 Jeff Ortel 2012-09-11 09:31:42 EDT
build: 0.327
Comment 3 Preethi Thomas 2012-11-06 07:53:08 EST
verified
[root@preethi ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.335-1.fc17.noarch
[root@preethi ~]# 

[root@preethi ~]# pulp-admin rpm repo publish run --repo-id upload
+----------------------------------------------------------------------+
                     Publishing Repository [upload]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Publishing packages...
[==================================================] 100%
Packages: 0/0 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[\]
... completed

Publishing repository over HTTP
[-]
... skipped

Publishing repository over HTTPS
[-]
... completed

[root@preethi ~]# pulp-admin consumer bind
Command: bind
Description: binds a consumer to a repository

Available Arguments:

  --consumer-id - (required) identifies the consumer
  --repo-id     - (required) repository to bind

The following options are required but were not specified:
  --consumer-id
  --repo-id
[root@preethi ~]# pulp-admin consumer bind --consumer-id preethi --repo-id upload
Consumer [preethi] successfully bound to repository [upload]

[root@preethi ~]# yum search gofer
Loaded plugins: langpacks, presto, refresh-packagekit
pulp-v2-testing                                          | 2.9 kB     00:00     
updates/metalink                                         |  11 kB     00:00     
updates                                                  | 4.7 kB     00:00     
updates/primary_db                                       | 6.7 MB     00:00     
updates/group_gz                                         | 435 kB     00:00     
upload                                                   | 2.9 kB     00:00     
upload/primary_db                                        | 2.8 kB     00:00     
updates/pkgtags                                          |  333 B     00:00     
============================== N/S Matched: gofer ==============================
python-gofer.noarch : Gofer python lib modules
ruby-gofer.noarch : Gofer ruby lib modules
gofer.noarch : A lightweight, extensible python agent
gofer-package.noarch : The package (RPM) plugin
gofer-system.noarch : The system plug-in
gofer-virt.noarch : The virtualization plugin
gofer-watchdog.noarch : The watchdog plug-in

  Name and summary matches only, use "search all" for everything.
[root@preethi ~]# yum repo list
Loaded plugins: langpacks, presto, refresh-packagekit
No such command: repo. Please use /bin/yum --help
[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]# yum repolist
Loaded plugins: langpacks, presto, refresh-packagekit
repo id                       repo name                                   status
fedora                        Fedora 17 - x86_64                          27,033
pulp-v2-testing               Pulp v2 Testing Builds                          40
updates                       Fedora 17 - x86_64 - Updates                 9,872
upload                        upload                                           2
repolist: 36,947
Comment 4 Preethi Thomas 2013-01-09 12:09:57 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.